> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Entitlement Ids Per App

> List all requestable entitlement IDs in a catalog without pagination.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/catalogs/{catalog_id}/requestable_entitlementIDs
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/requestable_entitlementIDs:
    get:
      tags:
        - Request Catalog
      summary: List All Entitlement Ids Per App
      description: List all requestable entitlement IDs in a catalog without pagination.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.ListAllEntitlementIdsPerApp
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: The unique identifier of the access profile.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse
          description: >-
            The response message containing all requestable entitlement
            references in the catalog.
      x-codeSamples:
        - lang: go
          label: ListAllEntitlementIdsPerApp
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.ListAllEntitlementIdsPerApp(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceListAllEntitlementIdsPerAppRequest{\n        CatalogID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.listAllEntitlementIdsPerApp({
                catalogId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse:
      description: >-
        The response message containing all requestable entitlement references
        in the catalog.
      properties:
        refs:
          description: The complete list of app entitlement references in this catalog.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      title: >-
        Request Catalog Management Service List All Entitlement Ids Per Catalog
        Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````